Subject: Re: bug#25851: 25.2; GTK warning when starting Emacs when desktop file has more than one frame

From: [email-masked] (N. Jackson)
Date: Wed, 01 Mar 2017 15:16:37 -0500

At 20:36 +0100 on Wednesday 2017-03-01, martin rudalics wrote:

>> If that's the reason, and we think doing that is legitimate, is
>> there any other solution but to shut up the warning?
>
> I think that warning is legitimate. And even if I thought that
> what we are doing is legitimate - xfwm would still refuse to put
> the top-left corner of my new frame off-screen.

I'm not quite following this discussion. [Of course, it isn't
important that I follow it; however if you have time to elucidate,
I would much appreciate it.]

If we removed the arguably illegitimate chicanery, what
functionality, specifically, would be lost? Might it be achieved
in a more straightforward way?